Bienvenue sur le forum de Exodus-Privacy.

Plusieurs sujets de discussion vous attendent.

Comme tout forum, celui-ci est soumis à la loi française

Les propos discriminants ne sont pas les bienvenus et seront sanctionnés sans aucune pitié. Nous vous demandons d'être bienveillant·e·s les un·e·s envers les autres.

Le forum n'est accessible qu'après enregistrement..



L'Équipe d'Exodus Privacy

 Welcome on the Exodus-Privacy forum.

Many topics are waiting for you

As this forum is under French law, any author of discriminatory comments will be banned without mercy. Please be kind with everybody.

The topics are only available to registered people.



The Exodus Privacy Team.

installer l'environnement de développement de exodus-core



  • Bonjour j’ai suivi le fichier sur git à l’adresse: https://github.com/Exodus-Privacy/exodus-core/blob/v1/README.md pour installer l’environnement de développement de exodus-core.
    Malheureusement il semblerait qu’une erreur se lance à chaque démarrage:

    (venv)myname$ python -m unittest discover -s exodus_core -p “test_*.py”
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    .FWARNING:root:Unable to get the icon from the APK
    WARNING:root:Downloading icon from details
    WARNING:root:invalid literal for int() with base 16: ‘request’
    WARNING:root:Downloading icon from Google Play
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    WARNING:androguard.axml:invalid decoded string length
    .F…

    FAIL: test_embedded_trackers (analysis.test_exodus_analyze.TestExodus)

    Traceback (most recent call last):
    File “/home/myname/tmp/exodus-core/exodus_core/analysis/test_exodus_analyze.py”, line 104, in test_embedded_trackers
    self.assertEqual(len(trackers), 1)
    AssertionError: 0 != 1

    ======================================================================
    FAIL: test_list_classes (analysis.test_exodus_analyze.TestExodus)

    Traceback (most recent call last):
    File “/home/myname/tmp/exodus-core/exodus_core/analysis/test_exodus_analyze.py”, line 82, in test_list_classes
    self.assertEqual(len(classes), 3882)
    AssertionError: 2 != 3882


    Ran 6 tests in 237.574s

    FAILED (failures=2)

    Je pense ne peut-être pas avoir correctement configuré gplaycli avec la commande nano ~/.config/gplaycli/gplaycli.conf. Je n’ai que copié l’exemple. peut-être que j’aurais du créer un compte.



  • En effet, il faut au moins un compte (crée toi un compte bidon) et tu met les credentials ce compte dans le gplaycif.conf.



  • Merci je vais voir ça.



  • @lovis_ix a dit dans installer l'environnement de développement de exodus-core :

    En effet, il faut au moins un compte (crée toi un compte bidon) et tu met les credentials ce compte dans le gplaycif.conf.

    Alors normalement, non.
    J’ai refait une installation propre chez moi en suivant le README de https://github.com/Exodus-Privacy/exodus-core et ça marche tel quel, sans nécessité de compte gmail ou autre.



  • Alors j’ai dis des sornettes, pardon.


Log in to reply